2018-06-21 23:51 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005304Talertwisterpublic2018-06-12 09:00
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005304: Modify objects in upload.
DescriptionThe twister should be able to modify JSON objects
before uploading those to the proxied service.

Note, this is not killer feature, as the test driver
can directly generate bogus data and send it. However,
often bogus data is stopped _before_ being sent to the
service, by library-level checks. And besides, this is
a "swiss army knife feature" that is simply missing.

TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012903

Marcello Stanisci (manager)

For example, the following command instructs the twister to modify
the next response's body:

$ taler-twister --modojbect "path.to.object" --value "new value"

This issue asks to do the same for the next _request_ body, exemplied
in the follwing snippet.

$ taler-twister --modobject-upload "a.object" --value "new value"

~0012930

Marcello Stanisci (manager)

By commit 199d751dc07d32961746846, this feature is surely implemented!
+Notes

-Issue History
Date Modified Username Field Change
2018-03-27 12:37 Marcello Stanisci New Issue
2018-03-27 12:37 Marcello Stanisci Status new => assigned
2018-03-27 12:37 Marcello Stanisci Assigned To => Marcello Stanisci
2018-03-27 15:48 Marcello Stanisci Note Added: 0012903
2018-03-27 17:25 Christian Grothoff Severity minor => feature
2018-03-27 17:25 Christian Grothoff Product Version => SVN HEAD
2018-03-27 17:25 Christian Grothoff Target Version => 0.6
2018-05-21 09:29 Marcello Stanisci Note Added: 0012930
2018-05-21 09:30 Marcello Stanisci Status assigned => resolved
2018-05-21 09:30 Marcello Stanisci Resolution open => fixed
2018-06-12 09:00 Christian Grothoff Fixed in Version => 0.6
+Issue History